com.google.gwt.util.tools

## Class ToolBase

- java.lang.Object
- - com.google.gwt.util.tools.ToolBase

Direct Known Subclasses:
  com.google.gwt.dev.ArgProcessorBase

    public abstract class ToolBase
    extends java.lang.Object

A base class for a GWT related command-line application. To use this:

1. Derive a class for this class.
2. In your constructor, call `registerHandler(ArgHandler)` repeatedly to register particular command line arguments and options.
3. Write a main that looks like this:

        public static void main(String[] args) {
         MyShell myShell = new MyShell();
         if (myShell.processArgs(args)) {
           // main program operation
         }
         System.exit(1);
        }

4. Create launch config whose main class is MyShell.

### Constructor Summary

Constructors
Constructor and Description
`ToolBase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `checkJdkVersion()` Log deprecation warning on old JREs.
`protected java.lang.String` `getDescription()`
`protected java.lang.String` `getName()`
`protected void` `printHelp()`
`protected void` `printHelp(boolean includeUndocumented)`
`protected boolean` `processArgs(java.lang.String... args)`
`protected void` `registerHandler(ArgHandler handler)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ToolBase

    public ToolBase()

### Method Detail

#### checkJdkVersion

    protected void checkJdkVersion()

Log deprecation warning on old JREs.

#### getDescription

    protected java.lang.String getDescription()

#### getName

    protected java.lang.String getName()

#### printHelp

    protected void printHelp()

#### printHelp

    protected void printHelp(boolean includeUndocumented)

#### processArgs

    protected boolean processArgs(java.lang.String... args)

#### registerHandler

    protected void registerHandler(ArgHandler handler)